List Providers

Lists providers with optional filtering and pagination.

GET/providers

This endpoint retrieves all of the provider records in your Stedi account. You can filter the results by the provider's name, NPI, or tax ID.

This endpoint returns only the provider record. It doesn't include information about associated transaction enrollments. To retrieve enrollment information, use the List Enrollments endpoint.

Authorization
RequiredHeader

A Stedi API Key for authentication.

Query Parameters

pageSize
NumberRange: ≥ 1 and ≤ 500

The maximum number of elements to return in a page. If not specified, the default is 100.

pageToken
StringLength: 1 - 1024

The nextPageToken value from a previous response. You can use this to get the next page of results. If not set, Stedi returns the first page of results.

filter
String

Filter for providers with properties matching a query string. You can provide all or part of a provider name, NPI, or tax ID. The search is case-insensitive and supports fuzzy matching.

For example, providing ?filter=OS returns providers with names containing os (such as Joseph).

providerNpis
Array of Strings

Filter for providers with NPIs matching any value in this list.

providerTaxIds
Array of Strings

Filter for providers with tax IDs matching any value in this list.

sortBy
Array of StringsItems: 1 - 3

Sort the results by up to three properties. By default, Stedi sorts results by creation time in descending order.

Supply a query string with each property appended using &. Each property must be provided in a property:direction format, where property is the name of the property to sort by and direction is the sort direction, either asc (ascending) or desc (descending).

  • Stedi adds the provider id as the final sort criterion to ensure deterministic results.
  • When you provide multiple properties, Stedi sorts by their order in the query string.

Supported properties: name, npi, taxId

  • name sorts case-insensitively.
  • Providers without a tax ID sort last in both directions.
  • Sorting by a very long name can return a validation error instead of the next page.

Examples:

  • Sort by name in ascending order: ?sortBy=name:asc
  • Sort by taxId and then by npi: ?sortBy=taxId:asc&sortBy=npi:asc

Response

application/json
items
Array of Objects

Details about every provider your organization has created within Stedi.

Array item
nextPageToken
StringLength: 1 - 1024

Token that you can supply in subsequent requests to retrieve the next page of results. If not returned, there are no more results.